org.thymeleaf.extras.java8time.util

## Class TemporalArrayUtils

- Object
- - org.thymeleaf.extras.java8time.util.TemporalArrayUtils

-     public final class TemporalArrayUtils
      extends Object

  Formatting utilities for Java 8 Time object arrays.
  Since:
    2.1.0
  Author:
    José Miguel Samper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemporalArrayUtils(Locale locale, ZoneId defaultZoneId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer[]` | `arrayDay(Object[] target)`
    `Integer[]` | `arrayDayOfWeek(Object[] target)`
    `String[]` | `arrayDayOfWeekName(Object[] target)`
    `String[]` | `arrayDayOfWeekNameShort(Object[] target)`
    `String[]` | `arrayFormat(Object[] target)`
    `String[]` | `arrayFormat(Object[] target, Locale locale)`
    `String[]` | `arrayFormat(Object[] target, String pattern)`
    `String[]` | `arrayFormat(Object[] target, String pattern, Locale locale)`
    `String[]` | `arrayFormatISO(Object[] target)`
    `Integer[]` | `arrayHour(Object[] target)`
    `Integer[]` | `arrayMinute(Object[] target)`
    `Integer[]` | `arrayMonth(Object[] target)`
    `String[]` | `arrayMonthName(Object[] target)`
    `String[]` | `arrayMonthNameShort(Object[] target)`
    `Integer[]` | `arrayNanosecond(Object[] target)`
    `Integer[]` | `arraySecond(Object[] target)`
    `Integer[]` | `arrayYear(Object[] target)`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemporalArrayUtils

          public TemporalArrayUtils(Locale locale,
                                    ZoneId defaultZoneId)

  - ### Method Detail

    - #### arrayFormat

          public String[] arrayFormat(Object[] target)

    - #### arrayFormat

          public String[] arrayFormat(Object[] target,
                                      Locale locale)

    - #### arrayFormat

          public String[] arrayFormat(Object[] target,
                                      String pattern)

    - #### arrayFormat

          public String[] arrayFormat(Object[] target,
                                      String pattern,
                                      Locale locale)

    - #### arrayDay

          public Integer[] arrayDay(Object[] target)

    - #### arrayMonth

          public Integer[] arrayMonth(Object[] target)

    - #### arrayMonthName

          public String[] arrayMonthName(Object[] target)

    - #### arrayMonthNameShort

          public String[] arrayMonthNameShort(Object[] target)

    - #### arrayYear

          public Integer[] arrayYear(Object[] target)

    - #### arrayDayOfWeek

          public Integer[] arrayDayOfWeek(Object[] target)

    - #### arrayDayOfWeekName

          public String[] arrayDayOfWeekName(Object[] target)

    - #### arrayDayOfWeekNameShort

          public String[] arrayDayOfWeekNameShort(Object[] target)

    - #### arrayHour

          public Integer[] arrayHour(Object[] target)

    - #### arrayMinute

          public Integer[] arrayMinute(Object[] target)

    - #### arraySecond

          public Integer[] arraySecond(Object[] target)

    - #### arrayNanosecond

          public Integer[] arrayNanosecond(Object[] target)

    - #### arrayFormatISO

          public String[] arrayFormatISO(Object[] target)

Copyright © 2016 The THYMELEAF team. All rights reserved.